%def_disable static

Name:		libsvg
Version:	0.1.4
Release:	alt1
Summary:	A generic SVG library
License:	LGPL
URL:		http://www.xsvg.org/
Group:		System/Libraries

Source0:	%name-%version.tar.gz
Patch0:		%name-link.patch

# Automatically added by buildreq on Sat Feb 26 2005
BuildRequires: gcc-c++ glib2 libjpeg-devel libpng-devel libstdc++-devel libxml2-devel pkgconfig xorg-x11-devel zlib-devel

%description
libsvg provides a parser for SVG content in files or buffers. It
doesn't do any rendering, but instead provides a function-based
interface that can be used by various rendering engines.

%package devel
Summary:	Header files for libsvg library
Group:		Development/C++
Requires:	%name = %version-%release

%description devel
Header files for libsvg library.

%package static
Summary:	Static libsvg library
Group:		Development/C++
Requires:	%name-devel = %version-%release

%description static
Static libsvg library.

%prep
%setup -q
%patch0 -p1

%build
%configure %{subst_enable static}
%make_build

%install
%make DESTDIR=%buildroot install

%post -p /sbin/ldconfig

%postun	-p /sbin/ldconfig

%files
%doc AUTHORS ChangeLog NEWS README TODO
%_libdir/lib*.so.*

%files devel
%_libdir/lib*.so
%_includedir/*.h
%_pkgconfigdir/*.pc

%if_enabled static
%files static
%_libdir/lib*.a
%endif

%changelog
* Sat Jul 23 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.1.4-alt1
- 0.1.4

* Sat Feb 26 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.1.3-alt1
- initial release

